dataset:
  root_dir: /home/modelzoo/OOTDiffusion/datasts/VITON-HD
  mode: train

  height: 1024
  width: 768
  semantic_nc: 13

train:
  batch_size: 1
  num_workers: 8

  learning_rate: 5e-5
  beta1: 0.9
  beta2: 0.999
  weight_decay: 1e-2
  epsilon: 1e-8

  gradient_accumlation_steps: 1
  lr_scheduler: constant
  lr_warmup_steps: 500
  lr_num_cycles: 1
  lr_power: 1.0

  max_epochs: 100
  max_train_steps: ~  # if provide, will override max_epochs

  precision: fp32 # fp16, bf16, fp32
